"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NaverOpenAPI = void 0;
const baseurl_1 = require("../../shared/baseurl");
const papago_1 = require("./papago");
class NaverOpenAPI {
    constructor() {
        this.baseUrl = baseurl_1.BaseURL.naveropenapi;
    }
    /**
     * Get PAPAGO Service agent.
     * @access public
     * @param {NaverOpenApiAuthType} apiAuth Service identification for using NaverOpenApi
     * @returns {PAPAGO} return PAPAGO Service agent
     * @memberof NaverOpenAPI
     */
    papagoService(openApiAuth) {
        return new papago_1.PAPAGO(this.baseUrl, openApiAuth);
    }
}
exports.NaverOpenAPI = NaverOpenAPI;
