"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Project = exports.SENS = void 0;
const baseurl_1 = require("../../shared/baseurl");
const sms_1 = require("./sms");
class SENS {
    constructor() {
        this.baseUrl = baseurl_1.BaseURL.sens;
    }
    /**
     * Get SENS Service agent.
     * @access public
     * @param {NCPAuthKeyType} ncpAuthKey NCP API authentication data for using API
     * @param {SMSserviceAuthType} smsAuth Service identification for using SMS Service
     * @returns {SMS} return SMS Service agent
     * @memberof SENS
     */
    smsService(ncpAuthKey, smsAuth) {
        return new sms_1.SMS(this.baseUrl, ncpAuthKey, smsAuth);
    }
}
exports.SENS = SENS;
class Project {
}
exports.Project = Project;
