"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PAPAGOlanguages = exports.PAPAGOlanguageSupports = void 0;
/**
 * PAPAGOlanguageSupports
 *
 * @memberof languageSupportValidation
 * @alias PAPAGOlanguageSupports
 */
exports.PAPAGOlanguageSupports = {
    ko: ['en', 'ja', 'zh-CN', 'zh-TW', 'vi', 'id', 'th', 'de', 'ru', 'es', 'it', 'fr'],
    en: ['ko', 'ja', 'fr', 'zh-CN', 'zh-TW'],
    ja: ['ko', 'en', 'zh-CN', 'zh-TW'],
    'zh-CN': ['ko', 'en', 'ja', 'zh-TW'],
    'zh-TW': ['ko', 'en', 'ja', 'zh-CN'],
    vi: ['ko',],
    id: ['ko',],
    th: ['ko',],
    de: ['ko',],
    ru: ['ko',],
    es: ['ko',],
    it: ['ko'],
    fr: ['ko', 'en']
};
/**
 * PAPAGOlanguages
 *
 * @memberof languageSupportValidation
 * @alias PAPAGOlanguages
 */
var PAPAGOlanguages;
(function (PAPAGOlanguages) {
    PAPAGOlanguages["korean"] = "ko";
    PAPAGOlanguages["english"] = "en";
    PAPAGOlanguages["ja"] = "ja";
    PAPAGOlanguages["simplifiedChinese"] = "zh-CN";
    PAPAGOlanguages["traditionalChinese"] = "zh-TW";
    PAPAGOlanguages["vietnamese"] = "vi";
    PAPAGOlanguages["indonesian"] = "id";
    PAPAGOlanguages["thai"] = "th";
    PAPAGOlanguages["german"] = "de";
    PAPAGOlanguages["russian"] = "ru";
    PAPAGOlanguages["spanish"] = "es";
    PAPAGOlanguages["italian"] = "it";
    PAPAGOlanguages["french"] = "fr";
})(PAPAGOlanguages = exports.PAPAGOlanguages || (exports.PAPAGOlanguages = {}));
