/**
 * ApiClientResponse
 * @template T Data extracted from successful response
 * @memberof ApiClient
 * @alias ApiClientResponse
 */
export declare type ApiClientResponse<T> = {
    isSuccess: boolean;
    data?: T;
    errorMessage?: {};
};
/**
 * SendSMSReturnType
 *
 * 2021. 4. 17 Changed
 *
 * @memberof SMS
 * @alias SendSMSReturnType
 */
export declare type SendSMSReturnType = {
    statusCode: string;
    statusText: string;
    requestId: string;
    requestTime: string;
};
/**
 * SearchMessageRequestReturnType
 *
 * @memberof SMS
 * @alias SearchMessageRequestReturnType
 */
export declare type SearchMessageRequestReturnType = {
    requestId: string;
    statusCode: string;
    statusName: string;
    messages: MessageRequestType[];
};
/**
 * MessageRequestType
 *
 * @memberof SearchMessageRequestReturnType
 * @alias MessageRequestType
 */
declare type MessageRequestType = {
    messageId: string;
    requestTime: string;
    contentType: string;
    countryCode: string;
    from: string;
    to: string;
};
/**
 * SearchMessageResultReturnType
 *
 * @memberof SMS
 * @alias SearchMessageResultReturnType
 */
export declare type SearchMessageResultReturnType = {
    statusCode: string;
    statusName: string;
    messages: MessageResultType[];
};
/**
 * MessageResultType
 *
 * @memberof SearchMessageResultReturnType
 * @alias MessageResultType
 */
declare type MessageResultType = {
    requestTime: string;
    contentType: string;
    content: string;
    countryCode: string;
    from: string;
    to: string;
    status: string;
    statusCode: string;
    statusMessage: string;
    statusName: string;
    completeTime: string;
    telcoCode: string;
};
/**
 * PapagoTranslationReturnType
 *
 * @memberof PAPAGO
 * @alias PapagoTranslationReturnType
 */
export declare type PapagoTranslationReturnType = {
    message: PapagoTranslationMessageType;
};
/**
 * PapagoTranslationMessageType
 *
 * @memberof PapagoTranslationReturnType
 * @alias PapagoTranslationMessageType
 */
declare type PapagoTranslationMessageType = {
    '@type': string;
    '@service': string;
    '@version': string;
    result: PapagoTranslationResultType;
};
/**
 * PapagoTranslationResultType
 *
 * @memberof PapagoTranslationMessageType
 * @alias PapagoTranslationResultType
 */
declare type PapagoTranslationResultType = {
    srcLangType: string;
    tarLangType: string;
    translatedText: string;
};
/**
 * PapagoDetectLanguageReturnType
 *
 * @memberof PAPAGO
 * @alias PapagoDetectLanguageReturnType
 */
export declare type PapagoDetectLanguageReturnType = {
    langCode: string;
};
/**
 * PapagoKoreanNameRomanizerReturnType
 *
 * @memberof PAPAGO
 * @alias PapagoKoreanNameRomanizerReturnType
 */
export declare type PapagoKoreanNameRomanizerReturnType = {
    aResult: PapagoKoreanNameRomanizerResultType[];
};
/**
 * PapagoKoreanNameRomanizerResultType
 *
 * @memberof PapagoKoreanNameRomanizerReturnType
 * @alias PapagoKoreanNameRomanizerResultType
 */
declare type PapagoKoreanNameRomanizerResultType = {
    sFirstName: string;
    aItems: PapagoKoreanNameRomanizerItemType[];
};
/**
 * PapagoKoreanNameRomanizerItemType
 *
 * @memberof PapagoKoreanNameRomanizerResultType
 * @alias PapagoKoreanNameRomanizerItemType
 */
declare type PapagoKoreanNameRomanizerItemType = {
    name: string;
    score: string;
};
export {};
