/**
 * Enum for API Error represented.
 * Covering from client's error or validation to error for server response
 * @readonly
 * @enum {string} Error Messages
 */
export declare enum ApiErrorEnum {
    invalidURL = "Invalid URL",
    httpStatusCode = "Unexpected HTTP Status Code :",
    unexpectedResponse = "Unexpected response from the server",
    noResponseFromServer = "No response from the server",
    requestConfigurationError = "Error occured during setup request"
}
export declare class ApiError extends Error {
    constructor(error: ApiErrorEnum, httpCode?: number);
}
export declare class ServiceError extends Error {
    constructor(errorMessage: string);
}
